Summary: popa3d - a tiny POP3 daemon
Name: popa3d
Version: 0.6.3
Release: 1
License: GPL
Packager: Scarab <scarab@asplinux.ru>
Url: http://www.openwall.com/popa3d/
Group: System Environment/Daemons
Source0: http://www.openwall.com/popa3d/popa3d-0.6.3.tar.gz
Source1: popa3d.pam
Source2: popa3d.xinetd
Source3: popa3d.init
Patch0: popa3d-0.6.3-rh.patch
Requires: pam
Prereq: xinetd
Buildroot: %{_tmppath}/%{name}-root

%description
popa3d is a tiny POP3 daemon designed with security as the primary goal.

%changelog
* Thu Apr 17 2003 Scarab <scarab@asplinux.ru> 0.6.3-1
- Built 0.6.3 version, based on .spec-file by Marcin Siennicki <m.siennicki@cloos.pl>
- Ported RH patch for 0.5 version to 0.6.3.

%prep
%setup -q
%patch -p1

%build
# If you like to build popa3d with for qmail mailboxes uncomment this:
#
#make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DQMAIL_MAILBOX" LIBS="-lcrypt -lpam"
#
# and comment this:

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LIBS="-lcrypt -lpam"

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX="$RPM_BUILD_ROOT/usr"
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
mkdir -p $RPM_BUILD_ROOT/var/empty
cp $RPM_SOURCE_DIR/popa3d.init  $RPM_BUILD_ROOT/etc/init.d/popa3d
cp $RPM_SOURCE_DIR/popa3d.pam $RPM_BUILD_ROOT/etc/pam.d/popa3d
cp $RPM_SOURCE_DIR/popa3d.xinetd  $RPM_BUILD_ROOT/etc/xinetd.d/popa3d
chmod 755 $RPM_BUILD_ROOT/etc/init.d/popa3d
chmod 644 $RPM_BUILD_ROOT/etc/pam.d/popa3d
chmod 644 $RPM_BUILD_ROOT/etc/xinetd.d/popa3d
chmod 700 $RPM_BUILD_ROOT/var/empty

%post

if [ "$1" = 1 ]
then
	# check that user 'popa3d' exists
	#
	if grep "^popa3d:" /etc/passwd > /dev/null
	then
		true
	else
		useradd -d /dev/null -s /dev/null -c 'popa3d special account' popa3d 
	fi
fi
/sbin/service xinetd reload > /dev/null 2>&1 || :

%preun
[ -f /var/lock/subsys/popa3d ] && /etc/init.d/popa3d stop 2>&1 > /dev/null || :

%postun

if [ "$1" = 0 ]
then
	echo "Consider deleting user 'popa3d' too." 1>&2
fi
/sbin/service xinetd reload > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
%doc CHANGES CONTACT DESIGN INSTALL LICENSE VIRTUAL
/usr/sbin/popa3d
/usr/man/man8/popa3d.8.gz
%dir /var/empty/
%config /etc/init.d/popa3d
%config /etc/pam.d/popa3d
%config /etc/xinetd.d/popa3d

%clean
rm -rf $RPM_BUILD_ROOT
 
